INCLUDE(FindPkgConfig)
PKG_CHECK_MODULES(PC_POOPIE poopie)

FIND_PATH(
    POOPIE_INCLUDE_DIRS
    NAMES poopie/api.h
    HINTS $ENV{POOPIE_DIR}/include
        ${PC_POOPIE_INCLUDEDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/include
          /usr/local/include
          /usr/include
)

FIND_LIBRARY(
    POOPIE_LIBRARIES
    NAMES gnuradio-poopie
    HINTS $ENV{POOPIE_DIR}/lib
        ${PC_POOPIE_LIBDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/lib
          ${CMAKE_INSTALL_PREFIX}/lib64
          /usr/local/lib
          /usr/local/lib64
          /usr/lib
          /usr/lib64
)

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(POOPIE DEFAULT_MSG POOPIE_LIBRARIES POOPIE_INCLUDE_DIRS)
MARK_AS_ADVANCED(POOPIE_LIBRARIES POOPIE_INCLUDE_DIRS)

